> ## Documentation Index
> Fetch the complete documentation index at: https://docs.join.tl/llms.txt
> Use this file to discover all available pages before exploring further.

# Create or reconcile a Jointl assessment request



## OpenAPI

````yaml /specs/openapi/greenhouse-v1.openapi.yaml post /api/apps/greenhouse/v1/assessment/send_test
openapi: 3.1.2
info:
  title: Jointl Greenhouse Integration API
  version: 1.0.0
  description: >-
    Jointl endpoints used by Greenhouse Recruiting webhooks and the
    assessment-partner integration.
  contact:
    name: Jointl Support
    url: https://join.tl
servers:
  - url: https://api.join.tl
    description: Jointl production API
security: []
externalDocs:
  description: Greenhouse Harvest API documentation for upstream dependencies
  url: https://developers.greenhouse.io/harvest.html
paths:
  /api/apps/greenhouse/v1/assessment/send_test:
    post:
      summary: Create or reconcile a Jointl assessment request
      operationId: sendGreenhouseAssessmentTest
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GreenhouseSendTestRequest'
            example:
              application:
                id: 10001
              candidate:
                email: ada@example.test
                first_name: Ada
                greenhouse_profile_url: https://example.com/candidates/20001
                id: 20001
                last_name: Example
              partner_test_id: flow_example_01
              url: https://example.com/assessment/complete
      responses:
        '200':
          description: Assessment request created or reconciled.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GreenhouseSendTestResponse'
              example:
                partner_interview_id: request_example_01
        '400':
          description: Invalid JSON object, test, candidate, or completion URL.
          content:
            text/plain:
              schema:
                type: string
              example: Invalid test identity
        '401':
          description: Invalid assessment API key.
        '404':
          description: Active in-scope Flow not found.
        '413':
          description: Request exceeds one MiB.
          content:
            text/plain:
              schema:
                type: string
              example: Request body is too large
        '429':
          description: Rate limited.
          headers:
            Retry-After:
              schema:
                type: integer
        '500':
          description: The request could not be processed.
          content:
            text/plain:
              schema:
                type: string
              example: Greenhouse request could not be processed
      security:
        - GreenhouseAssessmentBasic: []
components:
  schemas:
    GreenhouseSendTestRequest:
      type: object
      properties:
        partner_test_id:
          type: string
        application:
          type: object
          properties:
            id:
              type:
                - integer
                - string
          required:
            - id
          additionalProperties: true
        candidate:
          type: object
          properties:
            id:
              type:
                - integer
                - string
            first_name:
              type: string
            last_name:
              type: string
            email:
              type: string
              format: email
            greenhouse_profile_url:
              type: string
              format: uri
          required:
            - id
            - first_name
            - last_name
            - email
            - greenhouse_profile_url
          additionalProperties: true
        url:
          type: string
          format: uri
          description: Greenhouse-provided completion callback URL.
      required:
        - partner_test_id
        - application
        - candidate
        - url
      additionalProperties: true
    GreenhouseSendTestResponse:
      type: object
      properties:
        partner_interview_id:
          type: string
      required:
        - partner_interview_id
      additionalProperties: false
  securitySchemes:
    GreenhouseAssessmentBasic:
      type: http
      scheme: basic
      description: >-
        Installation-specific Greenhouse assessment API key via HTTP Basic
        authentication.

````